Bug 1293453 - [abrt] testdisk: update_location(): testdisk killed by SIGSEGV [NEEDINFO]
[abrt] testdisk: update_location(): testdisk killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: testdisk (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe GRENIER
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:43ada02d0245423d820c4bd1227...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 14:09 EST by mariolinux
Modified: 2016-12-20 12:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:17:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
grenier: needinfo? (mariolinux)


Attachments (Terms of Use)
File: backtrace (16.17 KB, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: core_backtrace (2.16 KB, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: dso_list (1.17 KB, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: environ (3.14 KB, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: exploitable (93 bytes, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: maps (5.61 KB, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: mountinfo (3.43 KB, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: open_fds (251 bytes, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: proc_pid_status (991 bytes, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details
File: var_log_messages (287 bytes, text/plain)
2015-12-21 14:09 EST, mariolinux
no flags Details

  None (edit)
Description mariolinux 2015-12-21 14:09:00 EST
Version-Release number of selected component:
testdisk-7.0-3.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        testdisk '/home/mario/Documenti/Immagine disco di sdb (2015-11-21 0523).img'
crash_function: update_location
executable:     /usr/bin/testdisk
global_pid:     10751
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 update_location at next.c:60
 #1 search_location_init at next.c:177
 #2 search_part at godmode.c:567
 #3 interface_recovery at godmode.c:1331
 #4 menu_disk_ncurses at tdiskop.c:159
 #5 menu_disk at tdiskop.c:202
 #6 testdisk_disk_selection_ncurses at tdisksel.c:199
 #7 do_curses_testdisk at tdisksel.c:266
Comment 1 mariolinux 2015-12-21 14:09:04 EST
Created attachment 1108435 [details]
File: backtrace
Comment 2 mariolinux 2015-12-21 14:09:05 EST
Created attachment 1108436 [details]
File: cgroup
Comment 3 mariolinux 2015-12-21 14:09:07 EST
Created attachment 1108437 [details]
File: core_backtrace
Comment 4 mariolinux 2015-12-21 14:09:08 EST
Created attachment 1108438 [details]
File: dso_list
Comment 5 mariolinux 2015-12-21 14:09:10 EST
Created attachment 1108439 [details]
File: environ
Comment 6 mariolinux 2015-12-21 14:09:11 EST
Created attachment 1108440 [details]
File: exploitable
Comment 7 mariolinux 2015-12-21 14:09:13 EST
Created attachment 1108441 [details]
File: limits
Comment 8 mariolinux 2015-12-21 14:09:14 EST
Created attachment 1108442 [details]
File: maps
Comment 9 mariolinux 2015-12-21 14:09:15 EST
Created attachment 1108443 [details]
File: mountinfo
Comment 10 mariolinux 2015-12-21 14:09:17 EST
Created attachment 1108444 [details]
File: namespaces
Comment 11 mariolinux 2015-12-21 14:09:18 EST
Created attachment 1108445 [details]
File: open_fds
Comment 12 mariolinux 2015-12-21 14:09:20 EST
Created attachment 1108446 [details]
File: proc_pid_status
Comment 13 mariolinux 2015-12-21 14:09:21 EST
Created attachment 1108447 [details]
File: var_log_messages
Comment 14 Christophe GRENIER 2015-12-21 15:30:11 EST
Can you try latest TestDisk 7.1-WIP from http://www.cgsecurity.org/wiki/TestDisk_Download on the same disk image ?
This problem should be fixed.
Comment 15 Fedora End Of Life 2016-11-24 09:26:32 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:17:54 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.